<?php

namespace App\Controller\Rest;
use FOS\RestBundle\Controller\FOSRestController;
use FOS\RestBundle\Controller\Annotations\Route;
use FOS\RestBundle\Controller\Annotations as Rest;
use App\Entity\Pdv;
use App\Entity\Team;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use FOS\RestBundle\Controller\Annotations\RequestParam;
use FOS\RestBundle\Request\ParamFetcher;
use Doctrine\ORM\Tools\Pagination\Paginator;
use Symfony\Component\Validator\Constraints\DateTime;


class RightsController extends FOSRestController
{


    /**
     * @Rest\Get("/rights")
     */
    public function getRights()
    {
        $em = $this->getDoctrine()->getManager();
        $rights = $em->getRepository('App:Rights')->findAll();
        $serializer = $this->get('serializer');
        $data = $serializer->serialize($rights, 'json');
        return new JsonResponse(json_decode($data));
    }



}
