<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 15/02/2018
 * Time: 10:23
 */

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * CityFrancePdv
 *
 * @ORM\Table(name="pdv_city_france")
 * @ORM\Entity
 */

class CityFrancePdv
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var float
     * @ORM\Column(name="amount_mini_delivery", type="decimal", scale=2,precision= 10)
     */
    private $amountMiniDelivery;



    /**
     * @ORM\ManyToOne(targetEntity="Pdv", inversedBy="citiesFrance")
     * @ORM\JoinColumn(name="pdv_id", referencedColumnName="id", nullable=false, onDelete="cascade")
     */
    private $pdv;

    /**
     * @ORM\ManyToOne(targetEntity="CityFrance")
     * @ORM\JoinColumn(name="city_france_ID", referencedColumnName="id")
     */
    private $city;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    /*public function getPDV()
    {
        return $this->pdv;
    }*/

    /**
     * @param mixed $pdv
     */
    public function setPdv($pdv)
    {
        $this->pdv = $pdv;
    }

    /**
     * @return int
     */
    public function getAmountMiniDelivery()
    {
        return $this->amountMiniDelivery;
    }

    /**
     * @param int $amountMiniDelivery
     */
    public function setAmountMiniDelivery($amountMiniDelivery)
    {
        $this->amountMiniDelivery = $amountMiniDelivery;
    }

    /**
     * @return mixed
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * @param mixed $city
     */
    public function setCity($city)
    {
        $this->city = $city;
    }
}