<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 14/02/2018
 * Time: 19:07
 */

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\ORM\Mapping as ORM;

/**
 * MenuFamilySize
 *
 * @ORM\Table(name="menu_family_size")
 * @ORM\Entity
 */
class MenuFamilySize
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity="Menu")
     * @ORM\JoinColumn(name="menu_id", referencedColumnName="id", nullable=false, onDelete="cascade")
     */
    private $menu;

    /**
     * @ORM\ManyToOne(targetEntity="CardFamily")
     * @ORM\JoinColumn(name="card_family_id", referencedColumnName="id")
     */
    private $cardFamily;

    /**
     * @ORM\ManyToOne(targetEntity="Size")
     * @ORM\JoinColumn(name="size_id", referencedColumnName="id")
     */
    private $size;

    /**
     * @var int
     * @ORM\Column(name="quantity", type="integer")
     */
    private $quantity;

    /**
     * @var int
     * @ORM\Column(name="choice", type="integer")
     */
    private $choice;


    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getMenu()
    {
        return $this->menu;
    }

    /**
     * @param mixed $menu
     */
    public function setMenu($menu)
    {
        $this->menu = $menu;
    }

    /**
     * @return mixed
     */
    public function getCardFamily()
    {
        return $this->cardFamily;
    }

    /**
     * @param mixed $family
     */
    public function setCardFamily($cardFamily)
    {
        $this->cardFamily = $cardFamily;
    }

    /**
     * @return mixed
     */
    public function getSize()
    {
        return $this->size;
    }

    /**
     * @param mixed $size
     */
    public function setSize($size)
    {
        $this->size = $size;
    }

    /**
     * @return int
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     * @param int $quantity
     */
    public function setQuantity($quantity)
    {
        $this->quantity = $quantity;
    }

    /**
     * @return int
     */
    public function getChoice()
    {
        return $this->choice;
    }

    /**
     * @param int $choice
     */
    public function setChoice($choice)
    {
        $this->choice = $choice;
    }


}