<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 22/03/2018
 * Time: 13:11
 */

namespace App\Entity;


use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\ORM\Mapping as ORM;
use DateTime;

/**
 * Menu
 *
 * @ORM\Table(name="menu_time")
 * @ORM\Entity
 * @ORM\HasLifecycleCallbacks
 */
class MenuTime
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;


    /**
     * @var string
     *
     * @ORM\Column(name="label", type="string", length=50, nullable=true)
     */
    private $label;


    /**
     * @var string
     *
     * @ORM\Column(name="startedHour", type="string", length=50, nullable=true)
     */
    private $startedHour;


    /**
     * @var string
     *
     * @ORM\Column(name="stoppedHour", type="string", length=50, nullable=true)
     */
    private $stoppedHour;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getLabel()
    {
        return $this->label;
    }

    /**
     * @param string $label
     */
    public function setLabel($label)
    {
        $this->label = $label;
    }

    /**
     * @return string
     */
    public function getStartedHour()
    {
        return $this->startedHour;
    }

    /**
     * @param string $startedHour
     */
    public function setStartedHour($startedHour)
    {
        $this->startedHour = $startedHour;
    }

    /**
     * @return string
     */
    public function getStoppedHour()
    {
        return $this->stoppedHour;
    }

    /**
     * @param string $stoppedHour
     */
    public function setStoppedHour($stoppedHour)
    {
        $this->stoppedHour = $stoppedHour;
    }

}