<?php

namespace App\Controller\Rest;
ini_set('MAX_EXECUTION_TIME', -1);
set_time_limit(99999999999);

use App\Entity\Card;
use App\Entity\CardFamily;
use App\Entity\CardMenuCategory;
use App\Entity\CardOffer;
use App\Entity\CityFrancePdv;
use App\Entity\Command;
use App\Entity\CommandElement;
use App\Entity\CommandElementIngredients;
use App\Entity\CommandMenu;
use App\Entity\CommandPaymentMode;
use App\Entity\Contact;
use App\Entity\Customer;
use App\Entity\CustomerPdv;
use App\Entity\Element;
use App\Entity\ElementOrderType;
use App\Entity\ElementSize;
use App\Entity\Ingredient;
use App\Entity\IngredientCatFamSize;
use App\Entity\Menu;
use App\Entity\MenuElementSize;
use App\Entity\MenuFamilySize;
use App\Entity\MenuOption;
use App\Entity\MenuOrderType;
use App\Entity\OrderTypePdv;
use App\Entity\OrderTypePdvDay;
use App\Entity\Pdv;
use App\Entity\Restaurant;
use App\Entity\Size;
use App\Entity\Team;
use Doctrine\ORM\EntityManagerInterface;
use FOS\RestBundle\Controller\FOSRestController;
use FOS\RestBundle\Controller\Annotations\Route;
use FOS\RestBundle\Controller\Annotations as Rest;
use FOS\RestBundle\Request\ParamFetcher;
use App\Entity\Address;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;


class ImportController extends FOSRestController
{
    private $idRest;
    private $idPdv;
    private $idCarte;
    private $pdv;
    private $card;
    private $em;
    private $mysqli;
    private $carte;

//2304
    public function __construct(EntityManagerInterface $em)
    {
       $this->mysqli = new \mysqli("51.68.113.80", "root", "gRmEcT4X", "oldRestocall");
        $this->mysqli->set_charset('utf8');
        $this->em = $em;
    }

    /**
     * @Rest\Get("/Import/{idRest}/{idPdvA}/{carte}")
     */
    public function import($idRest,$idPdvA, $carte)
    {
        $restaurant = null;
        $this->idRest = $idRest;
        $this->idCarte = $carte;
        $this->idPdv = $idPdvA;


        $this->importRestaurant();
     //    $this->checkRest();
       // $this->importCarte2();
       //  //   $this->importPdv();
        //$this->importPdvOrderType();
        //   $this->importPdvOrderTypeDay();
        //   $this->importPdvCity();
        //   $this->importCarte();
        // $this->importSize();
       //  $this->importSizeCorr();
         //$this->addUser();
        //  $this->importIngredients();
        //  $this->importIngredientCatFamSize();
        // $this->importElements();
        //    $this->importMenus();
        //  $this->importCustomer();
        // $this->importContact();
        //     $this->importTeam();
        //$this->importCommands();
        return new JsonResponse([], 200);
    }


    private function addUser()
    {
        $users=[
            array(
                "Nom"=> "AOMARI",
                "Prenom"=> "Mouna",
                "Identifiant"=> "mounaaomari@helpyfood.fr",
                "password"=> "Helpy001!2039"
            ),
            array(
                "Nom"=> "SARHIR",
                "Prenom"=> "Naoual",
                "Identifiant"=> "naoualsarhir@helpyfood.fr",
                "password"=> "Helpy001!2017"
            ),
            array(
                "Nom"=> "ZIYALI",
                "Prenom"=> "Rihab",
                "Identifiant"=> "rihabziyali@helpyfood.fr",
                "password"=> "Helpy001!2039"
            ),
            array(
                "Nom"=> "AFFAN",
                "Prenom"=> "Chaimaa",
                "Identifiant"=> "chaimaaaffan@helpyfood.fr",
                "password"=> "Helpy001!2039"
            ),
            array(
                "Nom"=> "MOUJANE",
                "Prenom"=> "Sara",
                "Identifiant"=> "saramoujane@helpyfood.fr",
                "password"=> "Helpy001!2039"
            ),
            array(
                "Nom"=> "LEZRAG",
                "Prenom"=> "Rania",
                "Identifiant"=> "ranialezrag@helpyfood.fr",
                "password"=> "Helpy&Rania2017"
            ),
            array(
                "Nom"=> "AMAD",
                "Prenom"=> "Fatima",
                "Identifiant"=> "fatimaamad@helpyfood.fr",
                "password"=> "HelpyFatima2017"
            ),
            array(
                "Nom"=> "BENALLA",
                "Prenom"=> "Siham",
                "Identifiant"=> "sihambenalla@helpyfood.fr",
                "password"=> "Helpy!Siham2018"
            ),
            array(
                "Nom"=> "CHADLI",
                "Prenom"=> "Soukaina",
                "Identifiant"=> "soukainachadli@helpyfood.fr",
                "password"=> "Helpy&Soukaina2018"
            ),
            array(
                "Nom"=> "HANINI",
                "Prenom"=> "Yousra",
                "Identifiant"=> "yousrahanini@helpyfood.fr",
                "password"=> "Helpy%Yousra2018"
            ),
            array(
                "Nom"=> "RAHIM",
                "Prenom"=> "Imane",
                "Identifiant"=> "imanerahim@helpyfood.fr",
                "password"=> "HelpyImane!&2018"
            ),
            array(
                "Nom"=> "EL HABBACHE",
                "Prenom"=> "Nouhila",
                "Identifiant"=> "nouhilaelhabbache@helpyfood.fr",
                "password"=> "Helpy@!Nouhila2017"
            ),
            array(
                "Nom"=> "LATIF",
                "Prenom"=> "Mariam",
                "Identifiant"=> "mariamlatif@helpyfood.fr",
                "password"=> "Helpy@!Mariam2018"
            ),
            array(
                "Nom"=> "EL KHESSASSI",
                "Prenom"=> "Amina",
                "Identifiant"=> "aminaelkhessassi@helpyfood.fr",
                "password"=> "Helpy&@Amina2018"
            ),
            array(
                "Nom"=> "DRIOUCH",
                "Prenom"=> "Aicha",
                "Identifiant"=> "aichadriouch@helpyfood.fr",
                "password"=> "Helpy!@Aicha2018"
            ),
            array(
                "Nom"=> "BELOUA",
                "Prenom"=> "Imane",
                "Identifiant"=> "imanebeloua@helpyfood.fr",
                "password"=> "Helpy!Imane@2018"
            ),
            array(
                "Nom"=> "RAJRAJI",
                "Prenom"=> "Nouhaila",
                "Identifiant"=> "nouhailarajraji@helpyfood.fr",
                "password"=> "Helpy&Nouhaila2018!"
            ),
            array(
                "Nom"=> "CHERKAOUI",
                "Prenom"=> "Yousra",
                "Identifiant"=> "yousracherkaoui@helpyfood.fr",
                "password"=> "Helpy@Yousra!!2018"
            ),
            array(
                "Nom"=> "EL BOUAIDI",
                "Prenom"=> "Widad",
                "Identifiant"=> "widadelbouaidi@helpyfood.fr",
                "password"=> "Widad&Helpy2018!!"
            ),
            array(
                "Nom"=> "OULED SGHIR",
                "Prenom"=> "Malika",
                "Identifiant"=> "malikaouledsghir@helpyfood.fr",
                "password"=> "Malika@Helpy2018!"
            ),
            array(
                "Nom"=> "YOUSFI",
                "Prenom"=> "Soukaina",
                "Identifiant"=> "soukainayousfi@helpyfood.fr",
                "password"=> "Soukaina&Helpy2018&!"
            ),
            array(
                "Nom"=> "ELHADAJ",
                "Prenom"=> "Imane",
                "Identifiant"=> "imaneelhadaj@helpyfood.fr",
                "password"=> "ImaneHelpy2018&!"
            )
        ];
        $userManager = $this->get('fos_user.user_manager');
        $profil = $this->getDoctrine()->getRepository("App:Profil")->find(2);
        foreach ($users as $u){
            $user = $userManager->createUser();
            $user->setProfil($profil);
            $user->setUsername($u['Identifiant']);
            $user->setFirstname($u['Prenom']);
            $user->setLastname($u['Nom']);
            $user->setEmail($u['Identifiant']);
            $user->setEmailCanonical($u['Identifiant']);
            $user->setEnabled(1);
            $user->setPlainPassword($u['password']);
            $user->setRoles(array(
                            'RULE_LISTORDERS',
                            'RULE_NEWORDER',
                            'RULE_EDITORDER',
                            'RULE_HISTORIC'
                        ));
            $userManager->updateUser($user);
        }

        // return new JsonResponse([
        //     'id' => $user->getId(),
        //     'success' => true,
        //     'code' => 200
        // ]);
    }

    private function importRestaurant()
    {
        $query = "select NOM,SITE_WEB as SITEWEB,CODE_RESTAURANT as CODE,ACTIFREST,THUMBNAIL_IMAGE,DATEENR,IPADRESSENR,USERENR,IPADRESSLASTMOD, USERLASTMOD,DATELASTMOD from restaurant where IDENTIFIANT_RESTAURANT=" . $this->idRest;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $createdAt = new \DateTime($row['DATEENR']);
                $updateAt = new \DateTime($row['DATELASTMOD']);
                $restaurant = new Restaurant();
                $restaurant->setId($this->idRest);
                $restaurant->setName($row['NOM']);
                $restaurant->setWebsite($row['SITEWEB']);
                $restaurant->setAvatar('');
                $restaurant->setActive($row['ACTIFREST']);
                $restaurant->setCreatedIp($row['IPADRESSENR']);
                $restaurant->setCreatedUser('0');
                $restaurant->setUpdatedIp('');
                $restaurant->setUpdatedUser('0');
                $restaurant->setCreatedAt($createdAt);
                $restaurant->setUpdatedAt($updateAt);
                $this->em->persist($restaurant);
                $metadata = $this->em->getClassMetaData(get_class($restaurant));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);
                $this->em->flush();
            }
        }
        $this->importPdv();
    }

    private function importPdv()
    {
        $query = "select * from point_de_vente where IDENTIFIANT_RESTAURANT=" . $this->idRest;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
              // $this->idPdv = $row['IDENTIFIANT_PDV'];
                $createdAt = new \DateTime($row['DATEENR']);
                $updateAt = new \DateTime($row['DATELASTMOD']);
                $pdv = new Pdv();
                $pdv->setId($row['IDENTIFIANT_PDV']);
                $pdv->setName($row['NOM']);
                $pdv->setSiret($row['SIRET']);
                $pdv->setNumber($row['NUMERO']);
                $pdv->setAddress($row['NUMERO'] . ' ' . $row['ADRESSE'] . ', ' . $row['CODE_POSTAL'] . ', ' . $row['VILLE'] . ', ' . $row['PAYS']);
                $pdv->setPostalCode($row['CODE_POSTAL']);
                $pdv->setCity($row['VILLE']);
                $pdv->setCountry($row['PAYS']);
                $pdv->setResetDelay($row['RESETRETARD']);
                $pdv->setAmountMiniOrder($row['MONTANTMINICMD']);
                $pdv->setAmountMiniSociety($row['MONTANTMINISOCIETE']);
                $pdv->setAmountMiniMandatory($row['MONTANTMINOBL']);
                $pdv->setPhone($row['TELEPHONE']);
                $pdv->setEmail($row['EMAIL']);
                $pdv->setPrincipal($row['ISPRINCIPAL']);
                $pdv->setActive($row['ACTIF']);
                $pdv->setAutomaticPrinting($row['IMPRESSIONAUTO']);
                $pdv->setComment('');
                $pdv->setImage('');
                $pdv->setCreatedIp('');
                $pdv->setCreatedUser('0');
                $pdv->setUpdatedIp('');
                $pdv->setUpdatedUser('0');
                $pdv->setCreatedAt($createdAt);
                $pdv->setUpdatedAt($updateAt);
                $pdv->setCloseSite(0);
                $pdv->setDisplayBestSales(1);
                $pdv->setDDisplayBestOffers(1);
                $pdv->setCloseComment('');
                $key = $this->dec_enc('encrypt', $row['IDENTIFIANT_PDV']);
                $pdv->setPdvKey($key);
                $restaurant = $this->em->getRepository('App:Restaurant')->find(intval($this->idRest));
                $pdv->setRestaurant($restaurant);
                $this->em->persist($pdv);
                $metadata = $this->em->getClassMetaData(get_class($pdv));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);
                $this->em->flush();
                $this->pdv = $this->em->getRepository('App:Pdv')->find(intval($this->idPdv));

            }
        }
        $this->importPayementModes();
    }
    private function importPayementModes(){
        $cpdv = $this->em->getRepository('App:Pdv')->find(intval($this->idPdv));
        $query1 = "select IDENTIFIANT_MODEPAIEMENT from modepaiementautorise where IDENTIFIANT_PDV=" . $this->idPdv;
               $statement1 = $this->mysqli->query($query1);
               if ($statement1->num_rows > 0) {
                   while ($row1 = $statement1->fetch_assoc()) {
                       $paymentMode = $this->em->getRepository('App:PaymentMode')->find($row1['IDENTIFIANT_MODEPAIEMENT']);
                       if ($paymentMode) {
                           $cpdv->addPaymentMode($paymentMode);
                       }
                   }
               }
               $this->em->persist($cpdv);
               $this->em->flush();
               $this->importPdvOrderType();
   }

    private function importPdvOrderType()
    {
        $orderTypes = $this->em->getRepository('App:OrderType')->findAll();
        foreach ($orderTypes as $ot) {
            $query = "select IDENTIFIANT_PDV,IDENTIFIANT_TYPECMD,DELAI_STD,RETARD from typecommandeautorise where IDENTIFIANT_PDV=" . $this->idPdv . " and IDENTIFIANT_TYPECMD=" . $ot->getId();
            $statement = $this->mysqli->query($query);
            if ($statement->num_rows > 0) {
                while ($row = $statement->fetch_assoc()) {
                    $max = $row['DELAI_STD'] + $row['RETARD'];
                    $orderTypePdv = new OrderTypePdv();
                    $orderTypePdv->setPdv($this->pdv);
                    $orderTypePdv->setOrderType($ot);
                    $orderTypePdv->setMinDelay($row['DELAI_STD']);
                    $orderTypePdv->setMaxDelay($max);
                    $orderTypePdv->setDefaultMinDelay($row['DELAI_STD']);
                    $orderTypePdv->setDefaultMaxDelay($max);
                    $orderTypePdv->setActive(1);
                    $this->em->persist($orderTypePdv);
                    $this->em->flush();
                }
            } else {
                $orderTypePdv = new OrderTypePdv();
                $orderTypePdv->setPdv($this->pdv);
                $orderTypePdv->setOrderType($ot);
                $orderTypePdv->setMinDelay(0);
                $orderTypePdv->setMaxDelay(0);
                $orderTypePdv->setDefaultMinDelay(0);
                $orderTypePdv->setDefaultMaxDelay(0);
                $orderTypePdv->setActive(0);
                $this->em->persist($orderTypePdv);
                $this->em->flush();
            }
        }
        $this->importPdvOrderTypeDay();
    }

    private function importPdvOrderTypeDay()
    {
        $query = "select IDJOUR,IDPDV,MIDI_HDEB,MIDI_HFIN,SOIR_HDEB,SOIR_HFIN from pdv_ouverture where IDPDV=" . $this->idPdv;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $GrPdvOrderType = $this->em->getRepository('App:OrderTypePdv')->findBy(array('pdv' => $this->pdv));;
                foreach ($GrPdvOrderType as $pot) {
                    $pdvOrderTypeDay = new OrderTypePdvDay();
                    $day = $this->em->getRepository('App:Day')->find(intval($row['IDJOUR']));
                    $MiddayStart = new \DateTime($row['MIDI_HDEB']);
                    $MiddayEnd = new \DateTime($row['MIDI_HFIN']);
                    $EveningStart = new \DateTime($row['SOIR_HDEB']);
                    $EveningEnd = new \DateTime($row['SOIR_HFIN']);
                    $pdvOrderTypeDay->setDay($day);
                    $pdvOrderTypeDay->setOrderTypePdv($pot);
                    $pdvOrderTypeDay->setMiddayStart($MiddayStart);
                    $pdvOrderTypeDay->setMiddayEnd($MiddayEnd);
                    $pdvOrderTypeDay->setEveningStart($EveningStart);
                    $pdvOrderTypeDay->setEveningEnd($EveningEnd);
                    $this->em->persist($pdvOrderTypeDay);
                    $this->em->flush();
                }
            }
        }
        $this->importPdvCity();
    }

    private function importPdvCity()
    {
        $query = "select IDVILLE,IDPDV,MONTANTMINILIVRAISON from pdv_villesautorisees where IDPDV=" . $this->idPdv;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $pdvCityfrance = new CityFrancePdv();
                $city = $this->em->getRepository('App:CityFrance')->find(intval($row['IDVILLE']));
                $pdvCityfrance->setPdv($this->pdv);
                $pdvCityfrance->setAmountMiniDelivery($row['MONTANTMINILIVRAISON']);
                $pdvCityfrance->setCity($city);
                $this->em->persist($pdvCityfrance);
                $this->em->flush();
            }
        }
        $this->importCarte();
    }


      private function importCarte2()
    {
        $query = "select IDENTIFIANT_CARTE, IDENTIFIANT_RESTAURANT,FRAISLIV,FRAISGESTION from carte";
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $restaurant = $this->em->getRepository('App:Restaurant')->find($row['IDENTIFIANT_RESTAURANT']);
                if($restaurant){
                     $pdv = $this->em->getRepository('App:Pdv')->findOneBy(array('restaurant'=>$restaurant));
                     $card = $this->em->getRepository('App:Card')->findOneBy(array('pdv'=>$pdv));
                     $card->setDeliveryCharges($row['FRAISLIV']);
                     $card->setManagementFees($row['FRAISGESTION']);
                     $this->em->persist($card);
                }
            }
            $this->em->flush();
        }
    }

    private function importCarte()
    {
        $query = "select IDENTIFIANT_RESTAURANT,TITRE,DATE_DEBUT_VALIDITE,DATE_FIN_VALIDITE,NBOFFREAUTORISE,AFFICHECODE,COMMENTAIRE,FRAISLIV,FRAISGESTION from carte where IDENTIFIANT_CARTE=" . $this->idCarte;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $card = new Card();
                $started = new \DateTime($row['DATE_DEBUT_VALIDITE']);
                $stoped = new \DateTime("2099-01-01");
                $card->setId($this->idPdv);
                $card->setPdv($this->pdv);
                $card->setStartedValidity($started);
                $card->setStoppedValidity($stoped);
                $card->setNbrOffersAuthorized($row['NBOFFREAUTORISE']);
                $card->setNbrOffersAuthorizedSite($row['NBOFFREAUTORISE']);
                $card->setDisplayCode($row['AFFICHECODE']);
                $card->setComment($row['COMMENTAIRE']);
                $card->setDeliveryCharges($row['FRAISLIV']);
                $card->setManagementFees($row['FRAISGESTION']);
                $query1 = "select IDENTIFIANT_FAMILLE from carte_famille where IDENTIFIANT_CARTE=" . $this->idCarte;
                $statement1 = $this->mysqli->query($query1);
                if ($statement1->num_rows > 0) {
                    while ($row1 = $statement1->fetch_assoc()) {
                        $cardFamily = new CardFamily();
                        $family = $this->em->getRepository('App:Family')->find(intval($row1['IDENTIFIANT_FAMILLE']));
                        $cardFamily->setCard($card);
                        $cardFamily->setFamily($family);
                        $this->em->persist($cardFamily);
                    }
                }

                $query2 = "select IDENTIFIANT_CATMENU from carte_menucat where IDENTIFIANT_CARTE=" . $this->idCarte;
                $statement2 = $this->mysqli->query($query2);
                if ($statement2->num_rows > 0) {
                    while ($row2 = $statement2->fetch_assoc()) {
                        $menuCategory = $this->em->getRepository('App:MenuCategory')->find(intval($row2['IDENTIFIANT_CATMENU']));
                        $cardMenuCategory = new CardMenuCategory();
                        $cardMenuCategory->setMenuCategory($menuCategory);
                        $cardMenuCategory->setCard($card);
                        $this->em->persist($cardMenuCategory);
                    }
                }
                $query3 = "select IDENTIFIANT_OFFRE_COMMERCIALE from offreco_carte where IDENTIFIANT_CARTE=" . $this->idCarte;
                $statement3 = $this->mysqli->query($query3);
                if ($statement3->num_rows > 0) {
                    while ($row3 = $statement3->fetch_assoc()) {
                        $offer = $this->getDoctrine()->getRepository("App:Offer")->find($row3['IDENTIFIANT_OFFRE_COMMERCIALE']);
                        $cardOffer = new CardOffer();
                        $cardOffer->setCard($card);
                        $cardOffer->setOffer($offer);
                        $this->em->persist($cardOffer);
                    }
                }
                $this->em->persist($card);
                $metadata = $this->em->getClassMetaData(get_class($card));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);
                $this->em->flush();
                $this->card = $this->em->getRepository('App:Card')->find(intval($this->idPdv));

            }
        }
        $this->importSize();
    }

    private function importSize()
    {
        $query = "select IDENTIFIANT, LIBELLE, NIVEAU from taille where IDENTIFIANT_CARTE=" . $this->idCarte;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $size = new Size();
                $card = $this->card;
               // $size->setId($row['IDENTIFIANT']);
                $size->setCard($card);
                $size->setLabel($row['LIBELLE']);
                $size->setLevel($row['NIVEAU']);
                $size->setIdOrigine($row['IDENTIFIANT']);
                $query1 = "select IDENTIFIANT_FAMILLE from taillefamille where IDENTIFIANT_TAILLE=" . $row['IDENTIFIANT'];
                $statement1 = $this->mysqli->query($query1);
                if ($statement1->num_rows > 0) {
                    while ($row1 = $statement1->fetch_assoc()) {
                        $qb = $this->em->createQueryBuilder();
                        $cardFamily = $qb->select("cf")
                            ->from("App:CardFamily", "cf")
                            ->innerJoin('cf.family', 'f')
                            ->innerJoin('cf.card', 'c')
                            ->where('f.id = :fam')
                            ->andWhere('c.id = :card')
                            ->setParameter('fam', $row1['IDENTIFIANT_FAMILLE'])
                            ->setParameter('card', $this->idPdv)
                            ->setMaxResults(1)
                            ->getQuery()->getOneOrNullResult();
                        if (!is_null($cardFamily))
                            $size->addFamily($cardFamily);
                    }
                }
                $this->em->persist($size);
               /* $metadata = $this->em->getClassMetaData(get_class($size));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);*/
                $this->em->flush();
            }
        }
         $this->importSizeCorr();
    }


    private function importSizeCorr()
    {
        $query = "select IDENTIFIANT, LIBELLE, NIVEAU from taille where IDENTIFIANT_CARTE=" . $this->idCarte;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $size = $this->em->getRepository('App:Size')->findOneBy(array('idOrigine'=>intval($row['IDENTIFIANT'])));
                $query1 = "select IDENTIFIANT_FAMILLE from taillefamille where IDENTIFIANT_TAILLE=" . $row['IDENTIFIANT'];
                $statement1 = $this->mysqli->query($query1);
                if ($statement1->num_rows > 0) {
                    while ($row1 = $statement1->fetch_assoc()) {
                        $qb = $this->em->createQueryBuilder();
                        $cardFamily = $qb->select("cf")
                            ->from("App:CardFamily", "cf")
                            ->innerJoin('cf.family', 'f')
                            ->innerJoin('cf.card', 'c')
                            ->where('f.id = :fam')
                            ->andWhere('c.id = :card')
                            ->setParameter('fam', $row1['IDENTIFIANT_FAMILLE'])
                            ->setParameter('card', $this->idPdv)
                            ->setMaxResults(1)
                            ->getQuery()->getOneOrNullResult();
                        if (!is_null($cardFamily)){
                               if (!$this->existsInArray($cardFamily, $size->getFamilies())) {
                                $size->addFamily($cardFamily);
                            }
                        }else{
                            $cardFamily = new CardFamily();
                            $family = $this->em->getRepository('App:Family')->find(intval($row1['IDENTIFIANT_FAMILLE']));
                            $cardFamily->setCard($this->card);
                            $cardFamily->setFamily($family);
                            $this->em->persist($cardFamily);
                            $this->em->flush();
                            $size->addFamily($cardFamily);
                        }
                         
                    }
                }
                $this->em->persist($size);
                $this->em->flush();
            }
        }
       $this->importIngredients();
    }

    private function existsInArray($entry, $array)
    {
        $c = 0;
        foreach ($array as $compare) {
            if ($compare->getId() == $entry->getId()) {
                $c++;
            }
        }
        if ($c == 0) {
            return false;
            
        } else {
            return true;
        }
    }

    private function importIngredients()
    {

        $query = "select IDENTIFIANT_INGREDIENT,NOM,DESCRIPTION,IDENTIFIANT_CARTE,PRIX,DISPONIBLE,ACTIF,ID_CATEGORIE_INGREDIENT,DATEENR,IPADRESSENR,USERENR,DATELASTMOD,IPADRESSLASTMOD,USERLASTMOD from ingredients where IDENTIFIANT_CARTE=" . $this->idCarte;
        $statement = $this->mysqli->query($query);
        $card = $this->card;
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $ingredient = new Ingredient();
                $categoryIng = $this->em->getRepository('App:IngredientCategory')->find(intval($row['ID_CATEGORIE_INGREDIENT']));
                $DATEENR = new \DateTime($row['DATEENR']);
                $DATELASTMOD = new \DateTime($row['DATELASTMOD']);
               // $ingredient->setId($row['IDENTIFIANT_INGREDIENT']);
                $ingredient->setCard($card);
                $ingredient->setIngredientCategory($categoryIng);
                $ingredient->setName($row['NOM']);
                $ingredient->setAvailable($row['DISPONIBLE']);
                $ingredient->setDescription($row['DESCRIPTION']);
                $ingredient->setCreatedAt($DATEENR);
                $ingredient->setUpdatedAt($DATELASTMOD);
                $ingredient->setCreatedIp($row['IPADRESSENR']);
                $ingredient->setUpdatedIp($row['IPADRESSLASTMOD']);
                $ingredient->setCreatedUser($row['USERENR']);
                $ingredient->setUpdatedUser($row['USERLASTMOD']);
                $ingredient->setPrice($row['PRIX']);
                $ingredient->setActiveSite(1);
                $ingredient->setFamilies([]);
                $ingredient->setIdOrigine($row['IDENTIFIANT_INGREDIENT']);
                $query1 = "select IDENTIFIANT_FAMILLE from ingredient_famille where IDENTIFIANT_INGREDIENT=" . $row['IDENTIFIANT_INGREDIENT'];
                $statement1 = $this->mysqli->query($query1);
                if ($statement1->num_rows > 0) {
                    while ($row1 = $statement1->fetch_assoc()) {
                        $qb = $this->em->createQueryBuilder();
                        $cardFamily = $qb->select("cf")
                            ->from("App:CardFamily", "cf")
                            ->innerJoin('cf.family', 'f')
                            ->innerJoin('cf.card', 'c')
                            ->where('f.id = :fam')
                            ->andWhere('c.id = :card')
                            ->setParameter('fam', $row1['IDENTIFIANT_FAMILLE'])
                            ->setParameter('card', $this->idPdv)
                            ->setMaxResults(1)
                            ->getQuery()->getOneOrNullResult();
                        if (!is_null($cardFamily)) {
                            $ingredient->addFamily($cardFamily);
                        } else {
                            $cardFamily = new CardFamily();
                            $family = $this->em->getRepository('App:Family')->find(intval($row['IDENTIFIANT_FAMILLE']));
                            $cardFamily->setCard($card);
                            $cardFamily->setFamily($family);
                            $this->em->persist($cardFamily);
                            $this->em->flush();
                            $ingredient->addFamily($cardFamily);
                        }
                    }
                }
                $this->em->persist($ingredient);
               /* $metadata = $this->em->getClassMetaData(get_class($ingredient));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);*/
                $this->em->flush();
            }
        }
        $this->importIngredientCatFamSize();
    }

    private function importIngredientCatFamSize()
    {
        $query = "select t.* from ingredient_catfamtaille as t, taille as s where t.IDENTIFIANT_TAILLE = s.IDENTIFIANT AND s.IDENTIFIANT_CARTE=" . $this->idCarte;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $ingCatFamSize = new IngredientCatFamSize();
                $size = $this->em->getRepository('App:Size')->findOneBy(array('idOrigine'=>intval($row['IDENTIFIANT_TAILLE'])));
                $categoryIng = $this->em->getRepository('App:IngredientCategory')->find(intval($row['IDENTIFIANT_CATEGORIE_INGREDIENT']));
                $ingCatFamSize->setSize($size);
                $ingCatFamSize->setIngredientCategory($categoryIng);
                $ingCatFamSize->setPrice($row['PRIX']);
                $qb = $this->em->createQueryBuilder();
                $cardFamily = $qb->select("cf")
                    ->from("App:CardFamily", "cf")
                    ->innerJoin('cf.family', 'f')
                    ->innerJoin('cf.card', 'c')
                    ->where('f.id = :fam')
                    ->andWhere('c.id = :card')
                    ->setParameter('fam', $row['IDENTIFIANT_FAMILLE_ELEMENT'])
                    ->setParameter('card', $this->idPdv)
                    ->setMaxResults(1)
                    ->getQuery()->getOneOrNullResult();
                $ingCatFamSize->setCardFamily($cardFamily);
                $this->em->persist($ingCatFamSize);
            }
            $this->em->flush();
        }
        $this->importElements();
    }

      private function importElements2()
    {
        $query = "select IDENTIFIANT_ELEMENT,ACTIF from elements";
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $el = $this->em->getRepository('App:Element')->find(intval($row['IDENTIFIANT_ELEMENT']));
                if(!is_null($el)){
                    $el->setActive($row['ACTIF']);
                    $this->em->persist($el);
                }
            }
            $this->em->flush();
            }
    }


    private function importElements()
    {
        $query = "select * from elements where  IDENTIFIANT_CARTE=" . $this->idCarte;
        $statement = $this->mysqli->query($query);
        $card = $this->card;
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $element = new Element();
                $DATEENR = new \DateTime($row['DATEENR']);
                $DATELASTMOD = new \DateTime($row['DATELASTMOD']);
               // $element->setId($row['IDENTIFIANT_ELEMENT']);
                $element->setCode($row['CODE_ELEMENT']);
                $element->setName($row['NOM']);
                $element->setDescription($row['DESCRIPTION']);
                $element->setAdditionalOption(1);
                $element->setActive($row['ACTIF']);
                $element->setHasSupp($row['SUPPLEMENT_POSSIBLE']);
                $element->setCustom(0);
                $element->setVat($row['TVA']);
                $element->setMaxNbrIngOptions(intval($row['NBMAXOPTIONINGR']));
                $element->setPriceSuppApp($row['PRIXSUPPAP']);
                $element->setCreatedUser($row['USERENR']);
                $element->setCreatedIp($row['IPADRESSENR']);
                $element->setUpdatedIp($row['IPADRESSLASTMOD']);
                $element->setUpdatedUser($row['USERLASTMOD']);
                $element->setCreatedAt($DATEENR);
                $element->setUpdatedAt($DATELASTMOD);
              //  $element->setActive($row['ACTIF']);
                $element->setActiveSite(1);
                $element->setCard($card);
                $element->setIdOrigine($row['IDENTIFIANT_ELEMENT']);
                $qb = $this->em->createQueryBuilder();
                $cardFamily = $qb->select("cf")
                    ->from("App:CardFamily", "cf")
                    ->innerJoin('cf.family', 'f')
                    ->innerJoin('cf.card', 'c')
                    ->where('f.id = :fam')
                    ->andWhere('c.id = :card')
                    ->setParameter('fam', $row['IDENTIFIANT_FAMILLE'])
                    ->setParameter('card', $this->idPdv)
                    ->setMaxResults(1)
                    ->getQuery()->getOneOrNullResult();
                if (!is_null($cardFamily)) {
                    $element->setFamily($cardFamily);
                } else {
                    $cardFamily = new CardFamily();
                    $family = $this->em->getRepository('App:Family')->find(intval($row['IDENTIFIANT_FAMILLE']));
                    $cardFamily->setCard($card);
                    $cardFamily->setFamily($family);
                    $this->em->persist($cardFamily);
                    $this->em->flush();
                    $element->setFamily($cardFamily);
                }
                $query1 = "select IDENTIFIANT_INGREDIENT from composition_element where IDENTIFIANT_ELEMENT=" . $row['IDENTIFIANT_ELEMENT'];
                $statement1 = $this->mysqli->query($query1);
                if ($statement1->num_rows > 0) {
                    while ($row1 = $statement1->fetch_assoc()) {
                        $composition = $this->em->getRepository('App:Ingredient')->findOneBy(array('idOrigine'=>intval($row1['IDENTIFIANT_INGREDIENT'])));
                        if ($composition) {
                            $element->addElementComposition($composition);
                        }
                    }
                }
                $query2 = "select IDENTIFIANT_INGREDIENT from element_optioningredient where IDENTIFIANT_ELEMENT=" . $row['IDENTIFIANT_ELEMENT'];
                $statement2 = $this->mysqli->query($query2);
                if ($statement2->num_rows > 0) {
                    while ($row2 = $statement2->fetch_assoc()) {
                        $optionIngredient = $this->em->getRepository('App:Ingredient')->findOneBy(array('idOrigine'=>intval($row2['IDENTIFIANT_INGREDIENT'])));
                        if ($optionIngredient) {
                            $element->addElementOption($optionIngredient);
                        }
                    }
                }
                $query3 = "select IDENTIFIANT_INGREDIENT from element_ingredientsuppdispo where IDENTIFIANT_ELEMENT=" . $row['IDENTIFIANT_ELEMENT'];
                $statement3 = $this->mysqli->query($query3);
                if ($statement3->num_rows > 0) {
                    while ($row3 = $statement3->fetch_assoc()) {
                        $supplement = $this->em->getRepository('App:Ingredient')->findOneBy(array('idOrigine'=>intval($row3['IDENTIFIANT_INGREDIENT'])));
                        if ($supplement) {
                            $element->addElementSupplement($supplement);
                        }
                    }
                } else {
                    $element->setHasSupp(0);
                }
                $query4 = "select * from element_taille where IDENTIFIANT_ELEMENT=" . $row['IDENTIFIANT_ELEMENT'];
                $statement4 = $this->mysqli->query($query4);
                if ($statement4->num_rows > 0) {
                    while ($row4 = $statement4->fetch_assoc()) {
                        $elementSize = new ElementSize();
                        $size = $this->em->getRepository('App:Size')->findOneBy(array('idOrigine'=>intval($row4['IDENTIFIANT_TAILLE'])));
                        if ($size) {
                            $elementSize->setSize($size);
                            $elementSize->setElement($element);
                            $elementSize->setAvailable($row4['DISPONIBLE']);
                            $elementSize->setPriceSupp($row4['PRIXSUPP']);
                            $elementSize->setPrice($row4['PRIX']);
                            $this->em->persist($elementSize);
                        }
                    }
                }
                foreach ([1, 2, 3] as $tp) {
                    $query5 = "select * from element_typecmd where IDENTIFIANT_ELT=" . $row['IDENTIFIANT_ELEMENT'] . " AND IDENTIFIANT_TYPECMD=" . $tp;
                    $statement5 = $this->mysqli->query($query5);
                    if ($statement5->num_rows > 0) {
                        while ($row5 = $statement5->fetch_assoc()) {
                            $elementOrderType = new ElementOrderType();
                            $orderType = $this->em->getRepository('App:OrderType')->find(intval($tp));
                            $elementOrderType->setOrderType($orderType);
                            $elementOrderType->setElement($element);
                            $elementOrderType->setSupplement($row5['SUPPLEMENT']);
                            $elementOrderType->setActive(1);
                            $this->em->persist($elementOrderType);
                        }
                    } else {
                        $elementOrderType = new ElementOrderType();
                        $orderType = $this->em->getRepository('App:OrderType')->find(intval($tp));
                        $elementOrderType->setOrderType($orderType);
                        $elementOrderType->setElement($element);
                        $elementOrderType->setSupplement(0);
                        $elementOrderType->setActive(0);
                        $this->em->persist($elementOrderType);
                    }
                }

                $this->em->persist($element);
               /* $metadata = $this->em->getClassMetaData(get_class($element));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);*/
            }
            $this->em->flush();
        }
        $this->importMenus();
    }

    private function importMenus()
    {
        $query = "select * from menu where  IDENTIFIANT_CARTE=" . $this->idCarte;
        $statement = $this->mysqli->query($query);
        $card = $this->card;
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $menu = new Menu();
                $DATEENR = new \DateTime($row['DATEENR']);
                $DATELASTMOD = new \DateTime($row['DATELASTMOD']);
             //   $menu->setId($row['IDENTIFIANT_MENU']);
                $menu->setCode($row['CODE']);
                $menu->setTitle($row['TITRE']);
                $menu->setPrice($row['PRIX']);
                $menu->setVat($row['TVA']);
                $menu->setDescription($row['DESCRIPTION']);
                $menu->setAvailable($row['DISPONIBLE']);
                $menu->setCreatedUser($row['USERENR']);
                $menu->setCreatedIp($row['IPADRESSENR']);
                $menu->setUpdatedIp($row['IPADRESSLASTMOD']);
                $menu->setUpdatedUser($row['USERLASTMOD']);
                $menu->setCreatedAt($DATEENR);
                $menu->setUpdatedAt($DATELASTMOD);
                $menu->setActiveSite(1);
                $menu->setIdOrigine($row['IDENTIFIANT_MENU']);
                $menuCategory = $this->em->getRepository('App:MenuCategory')->find(intval($row['IDENTIFIANT_CATEGORIE']));
                if (!is_null($menuCategory)) {
                    $menu->setMenuCategory($menuCategory);
                }
                $menuTime = $this->em->getRepository('App:MenuTime')->find(intval($row['IDENTIFIANT_MENUTIME']));
                if (!is_null($menuTime)) {
                    $menu->setMenuTime($menuTime);
                }
                if (!is_null($card)) {
                    $menu->setCard($card);
                }
                if (intval($row['IDENTIFIANT_OFFRE']) == 0) {
                    $menu->setOffer(null);
                } else {
                    $qb = $this->em->createQueryBuilder();
                    $offer = $qb->select("co")
                        ->from("App:CardOffer", "co")
                        ->innerJoin('co.offer', 'o')
                        ->innerJoin('co.card', 'c')
                        ->where('o.id = :offer')
                        ->andWhere('c.id = :card')
                        ->setParameter('offer', $row['IDENTIFIANT_OFFRE'])
                        ->setParameter('card', $this->idPdv)
                        ->setMaxResults(1)
                        ->getQuery()->getOneOrNullResult();
                    if (!is_null($offer)) {
                        $menu->setOffer($offer);
                    }
                }
                foreach ([1, 2, 3] as $tp) {
                    $query5 = "select * from menu_typecmd where IDENTIFIANT_MENU=" . $row['IDENTIFIANT_MENU'] . " AND IDENTIFIANT_TYPECMD=" . $tp;
                    $statement5 = $this->mysqli->query($query5);
                    if ($statement5->num_rows > 0) {
                        while ($row5 = $statement5->fetch_assoc()) {
                            $menuOrderType = new MenuOrderType();
                            $orderType = $this->em->getRepository('App:OrderType')->find(intval($tp));
                            $menuOrderType->setOrderType($orderType);
                            $menuOrderType->setMenu($menu);
                            $menuOrderType->setSupplement($row5['SUPPLEMENT']);
                            $menuOrderType->setActive(1);
                            $this->em->persist($menuOrderType);
                        }
                    } else {
                        $menuOrderType = new MenuOrderType();
                        $orderType = $this->em->getRepository('App:OrderType')->find(intval($tp));
                        $menuOrderType->setOrderType($orderType);
                        $menuOrderType->setMenu($menu);
                        $menuOrderType->setSupplement(0);
                        $menuOrderType->setActive(0);
                        $this->em->persist($menuOrderType);
                    }
                }
                $query2 = "select * from menu_elements where IDENTIFIANT_MENU=" . $row['IDENTIFIANT_MENU'];
                $statement2 = $this->mysqli->query($query2);
                if ($statement2->num_rows > 0) {
                    while ($row2 = $statement2->fetch_assoc()) {
                        $qb0 = $this->em->createQueryBuilder();
                        $elementSize = $qb0->select("es")
                            ->from("App:ElementSize", "es")
                            ->innerJoin('es.size', 's')
                            ->innerJoin('es.element', 'e')
                            ->where('s.idOrigine = :size')
                            ->andWhere('e.idOrigine = :el')
                            ->setParameter('size', $row2['IDENTIFIANT_TAILLE'])
                            ->setParameter('el', $row2['IDENTIFIANT_ELEMENT'])
                            ->setMaxResults(1)
                            ->getQuery()->getOneOrNullResult();
                        if (!is_null($elementSize)) {
                            $menuElementSize = new MenuElementSize();
                            $menuElementSize->setMenu($menu);
                            $menuElementSize->setElementSize($elementSize);
                            $menuElementSize->setQuantity($row2['QUANTITE']);
                            $menuElementSize->setChoice($row2['CHOIX']);
                            $this->em->persist($menuElementSize);
                        }
                    }
                }

                $query3 = "select * from menu_famille where IDENTIFIANT_MENU=" . $row['IDENTIFIANT_MENU'];
                $statement3 = $this->mysqli->query($query3);
                if ($statement3->num_rows > 0) {
                    while ($row3 = $statement3->fetch_assoc()) {
                        $qb1 = $this->em->createQueryBuilder();
                        $cardFamily = $qb1->select("cf")
                            ->from("App:CardFamily", "cf")
                            ->innerJoin('cf.family', 'f')
                            ->innerJoin('cf.card', 'c')
                            ->where('f.id = :fam')
                            ->andWhere('c.id = :card')
                            ->setParameter('fam', $row3['IDENTIFIANT_FAMILLE'])
                            ->setParameter('card', $this->idPdv)
                            ->setMaxResults(1)
                            ->getQuery()->getOneOrNullResult();
                        $size = $this->em->getRepository('App:Size')->findOneBy(array('idOrigine'=>intval($row3['IDENTIFIANT_TAILLE'])));
                        if (!is_null($cardFamily) && !is_null($size)) {
                            $menuFamilySize = new MenuFamilySize();
                            $menuFamilySize->setMenu($menu);
                            $menuFamilySize->setCardFamily($cardFamily);
                            $menuFamilySize->setSize($size);
                            $menuFamilySize->setQuantity($row3['QUANTITE']);
                            $menuFamilySize->setChoice($row3['CHOIX']);
                            $this->em->persist($menuFamilySize);
                        }
                    }
                }

                $query4 = "select * from menu_exclusion where IDENTIFIANT_MENU=" . $row['IDENTIFIANT_MENU'];
                $statement4 = $this->mysqli->query($query4);
                if ($statement4->num_rows > 0) {
                    while ($row4 = $statement4->fetch_assoc()) {
                        $qb2 = $this->em->createQueryBuilder();
                        $elementSize = $qb2->select("es")
                            ->from("App:ElementSize", "es")
                            ->innerJoin('es.size', 's')
                            ->innerJoin('es.element', 'e')
                            ->where('s.idOrigine = :size')
                            ->andWhere('e.idOrigine = :el')
                            ->setParameter('size', $row4['IDENTIFIANT_TAILLE'])
                            ->setParameter('el', $row4['IDENTIFIANT_ELEMENT'])
                            ->setMaxResults(1)
                            ->getQuery()->getOneOrNullResult();
                        if (!is_null($elementSize)) {
                            $menu->addExcludedProduct($elementSize);
                        }
                    }
                }

                $query5 = "select * from menu_option where IDENTIFIANT_MENU=" . $row['IDENTIFIANT_MENU'];
                $statement5 = $this->mysqli->query($query5);
                if ($statement5->num_rows > 0) {
                    while ($row5 = $statement5->fetch_assoc()) {
                        $qb3 = $this->em->createQueryBuilder();
                        $elementSize = $qb3->select("es")
                            ->from("App:ElementSize", "es")
                            ->innerJoin('es.size', 's')
                            ->innerJoin('es.element', 'e')
                            ->where('s.idOrigine = :size')
                            ->andWhere('e.idOrigine = :el')
                            ->setParameter('size', $row5['IDENTIFIANT_TAILLE'])
                            ->setParameter('el', $row5['IDENTIFIANT_ELEMENT'])
                            ->setMaxResults(1)
                            ->getQuery()->getOneOrNullResult();
                        if (!is_null($elementSize)) {
                            $menuOption = new MenuOption();
                            $menuOption->setMenu($menu);
                            $menuOption->setElementSize($elementSize);
                            $menuOption->setPrice($row5['PRIXSUPP']);
                            $this->em->persist($menuOption);
                        }
                    }
                }

                $this->em->persist($menu);
/*                $metadata = $this->em->getClassMetaData(get_class($menu));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);*/
            }
            $this->em->flush();
        }

        $this->importContact();
    }

    private function importCustomer()
    {
        $query = "select c.* from clients as c, pdv_clt as pc where pc.IDENTIFIANT_CLT = c.IDENTIFIANT_CLIENT AND  pc.IDENTIFIANT_PDV=" . $this->idPdv;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $this->insertCustmerPdv($row);
            }
        }

    }

    private function insertCustmerPdv($row)
    {
        $customerExist = $this->em->getRepository('App:Customer')->find(intval($row['IDENTIFIANT_CLIENT']));
        if (!is_null($customerExist)) {
            $customerPdv = new CustomerPdv();
            $customerPdv->setcustomer($customerExist);
            $customerPdv->setPdv($this->pdv);
            $customerPdv->setComment($row['COMMENTAIRE']);
            $this->em->persist($customerPdv);
        } else {
            $customer = new Customer();
            if ($row['DATEENR'] === "0000-00-00 00:00:00") {
                $DATEENR = null;
            } else {
                $DATEENR = new \DateTime($row['DATEENR']);
            }
            if ($row['DATELASTMOD'] === "0000-00-00 00:00:00") {
                $DATELASTMOD = null;
            } else {
                $DATELASTMOD = new \DateTime($row['DATELASTMOD']);
            }
            $customer->setId($row['IDENTIFIANT_CLIENT']);
            $customer->setFirstname($row['PRENOM']);
            $customer->setLastname($row['NOM']);
            $customer->setSociety($row['SOCIETE']);
            $customer->setPhone($row['TELEPHONE']);
            $customer->setSecondaryPhone($row['TELEPHONESEC']);
            $customer->setEmail($row['EMAIL']);
            $customer->setSmsAuthorized($row['SMSAUTORISE']);
            $customer->setCreatedIp($row['IPADRESSENR']);
            $customer->setUpdatedIp($row['IPADRESSLASTMOD']);
            $customer->setCreatedUser(null);
            $customer->setUpdatedUser(null);
            $customer->setCreatedAt($DATEENR);
            $customer->setUpdatedAt($DATELASTMOD);
            $customer->setIndicator(null);
            $this->em->persist($customer);
            $metadata = $this->em->getClassMetaData(get_class($customer));
            $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
            $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);
            $customerPdv = new CustomerPdv();
            $customerPdv->setcustomer($customer);
            $customerPdv->setPdv($this->pdv);
            $customerPdv->setComment($row['COMMENTAIRE']);
            $this->em->persist($customerPdv);
            $address = new Address();
            $address->setPrincipal(1);
            $address->setStreetName($row['NOM_RUE']);
            $address->setStreetNumber($row['NUMERO_RUE']);
            $address->setPostalCode($row['CODE_POSTAL']);
            $address->setCity($row['VILLE']);
            $address->setComplementAddress($row['COMPLEMENT_ADRESSE']);
            $address->setInputCode($row['CODEENTREE']);
            $address->setBuilding($row['BATIMENT']);
            $address->setStaircase($row['ESCALIER']);
            $address->setFloor($row['ETAGE']);
            $address->setIntercom($row['INTERPHONE']);
            $address->setDoor($row['PORTE']);
            $address->setCountry($row['PAYS']);
            $address->setActive(1);
            $address->setCustomer($customerPdv);
            $this->em->persist($address);
        }
        $this->em->flush();
        return $customerPdv;
    }

    private function importContact()
    {
        $query = "select c.* from contact as c, pdv_contacts as pc where pc.IDENTIFIANT_CONTACT = c.IDENTIFIANT_CONTACT AND  pc.IDENTIFIANT_PDV=" . $this->idPdv;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $contact = new Contact();
                $contact->setId($row['IDENTIFIANT_CONTACT']);
                $contact->setFirstname($row['PRENOM']);
                $contact->setLastname($row['NOM']);
                $contact->setEmail($row['EMAIL']);
                $contact->setPhone($row['TELEPHONE']);
                $contact->setFunction($row['FONCTION']);
                $contact->setUser(false);
                $contact->addPdv($this->pdv);
                $this->em->persist($contact);
                $this->em->persist($contact);
                $metadata = $this->em->getClassMetaData(get_class($contact));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);
                $this->em->flush();
            }
        }
        $this->importTeam();
    }

    private function importTeam()
    {
        $query = "select e.* from equipe as e where e.IDENTIFIANT_PDV=" . $this->idPdv;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $team = new Team();
                $team->setFirstname($row['PRENOM']);
                $team->setLastname($row['NOM']);
                $team->setEmail($row['EMAIL']);
                $team->setPhone($row['TELEPHONE']);
                $team->setDesignation($row['APPELATION']);
                $team->setActive($row['ACTIF']);
                $team->setQuality($row['QUALITE']);
                $team->setUser(0);
                $team->setAvatar('');
                $team->setPdv($this->pdv);
                $this->em->persist($team);
                $this->em->flush();
            }
        }
        
    }

    private function importCommands()
    {
        //$query = "select * from commandes where  IDENTIFIANT_PDV=" . $this->idPdv;
        $query = "select c.*, s.ORDRE from commandes c, statut_commande s where s.IDENTIFIANT = c.IDENTIFIANT_STATUT AND  IDENTIFIANT_PDV=" . $this->idPdv;
        $statement = $this->mysqli->query($query);
        if ($statement->num_rows > 0) {
            while ($row = $statement->fetch_assoc()) {
                $this->importCommmand($row);
            }
        }
    }

    private function importCommmand($row)
    {
        $order = new Command();
        if ($row['DATE_COMMANDE'] === "0000-00-00 00:00:00") {
            $date = null;
        } else {
            $date = new \DateTime($row['DATE_COMMANDE']);
        }
        if ($row['DATEENR'] === "0000-00-00 00:00:00") {
            $DATEENR = null;
        } else {
            $DATEENR = new \DateTime($row['DATEENR']);
        }
        if ($row['DATELASTMOD'] === "0000-00-00 00:00:00") {
            $DATELASTMOD = null;
        } else {
            $DATELASTMOD = new \DateTime($row['DATELASTMOD']);
        }
        $order->setAmount($row['MONTANT']);
        $order->setComment($row['COMMENTAIRE']);
        $order->setCorrected($row['CORRIGE']);
        $order->setDiscount($row['REMISE']);
        $order->setOrderProg($date);
        $order->setNum($row['NUMCMDJOUR']);
        $order->setCreatedIp($row['IPADRESSENR']);
        $order->setCreatedUser(null);
        $order->setUpdatedIp($row['IPADRESSLASTMOD']);
        $order->setUpdatedUser(null);
        $order->setCreatedAt($DATEENR);
        $order->setUpdatedAt($DATELASTMOD);
        $statut = $this->em->getRepository('App:Status')->findOneBy(array('orderStatus' => $row['ORDRE']));
        $order->setStatus($statut);
        $qb = $this->em->createQueryBuilder();
        $customerPdv = $qb->select("cp")
            ->from("App:CustomerPdv", "cp")
            ->innerJoin('cp.pdv', 'p')
            ->innerJoin('cp.customer', 'c')
            ->where('p.id = :pdv')
            ->andWhere('c.id = :customer')
            ->setParameter('customer', $row['IDENTIFIANT_CLIENT'])
            ->setParameter('pdv', $this->idPdv)
            ->setMaxResults(1)
            ->getQuery()->getOneOrNullResult();
        if (!is_null($customerPdv)) {
            $order->setCustomer($customerPdv);
        } else {
            $query55 = "select c.* from clients as c where c.IDENTIFIANT_CLIENT=" . $row['IDENTIFIANT_CLIENT'];
            $statement55 = $this->mysqli->query($query55);
            if ($statement55->num_rows > 0) {
                while ($row55 = $statement55->fetch_assoc()) {
                    $order->setCustomer($this->insertCustmerPdv($row55));
                }
            }
        }
        $orderPdv = $this->getOrderPdvByPdvAndOrder($this->idPdv, $row['TYPE_COMMANDE']);
        $order->setOrderTypePdv($orderPdv);
        if ($row['TYPE_COMMANDE'] == 1) {
            $qb = $this->em->createQueryBuilder();
            $address = $qb->select("a")
                ->from("App:Address", "a")
                ->innerJoin('a.customer', 'cp')
                ->innerJoin('cp.customer', 'c')
                ->where('c.id = :customer')
                ->setParameter('customer', $row['IDENTIFIANT_CLIENT'])
                ->setMaxResults(1)
                ->getQuery()->getOneOrNullResult();
            $order->setAddress($address);
        }
        $query1 = "select * from elements_commandes where IDENTIFIANT_MENU IS NULL AND  IDENTIFIANT_COMMANDE=" . $row['IDENTIFIANT_COMMANDE'];
        $statement1 = $this->mysqli->query($query1);
        if ($statement1->num_rows > 0) {
            while ($row1 = $statement1->fetch_assoc()) {
                $commandElement = new CommandElement();
                $commandElement->setId($row1['IDENTIFIANT_ELEMENT_COMMANDE']);
                $commandElement->setName($row1['NOMELT']);
                $commandElement->setQuantity($row1['QUANTITE']);
                $commandElement->setComment($row1['COMMENTAIRE']);
                $commandElement->setTotal($row1['MONTANTTOTAL']);
                $commandElement->setPrice($row1['PRIX']);
                $commandElement->setVat($row1['TVA']);
                $commandElement->setSize($row1['TAILLE']);
                $commandElement->setLevel(null);
                $commandElement->setAdditionalCost($row1['COUTSUPPTYPECMD']);
                $commandElement->setCommand($order);
                $commandElement->setCode(null);
                $this->em->persist($commandElement);
                $metadata = $this->em->getClassMetaData(get_class($commandElement));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);
                $query2 = "select * from ingredientspe_commande where IDENTIFIANT_ELEMENT_COMMANDES=" . $row1['IDENTIFIANT_ELEMENT_COMMANDE'];
                $statement2 = $this->mysqli->query($query2);
                if ($statement2->num_rows > 0) {
                    while ($row2 = $statement2->fetch_assoc()) {
                        $commandElementIng = new CommandElementIngredients();
                        $commandElementIng->setName($row2['NOM']);
                        $commandElementIng->setCout($row2['COUT']);
                        if ($row2['ACTION'] === 'plus') $commandElementIng->setAction('supp');
                        if ($row2['ACTION'] === 'moins') $commandElementIng->setAction('remove');
                        if ($row2['ACTION'] === 'compris') $commandElementIng->setAction('opt');
                        $commandElementIng->setCommandElement($commandElement);
                        $this->em->persist($commandElementIng);
                    }
                }
            }
        }
        $query3 = " select cm.* from elements_commandes ec, commande_menus cm where ec.IDENTIFIANT_MENU=cm.IDENTIFIANT_COMMANDE_MENU  AND ec.IDENTIFIANT_COMMANDE='" . $row['IDENTIFIANT_COMMANDE'] . "'group by cm.IDENTIFIANT_COMMANDE_MENU";
        $statement3 = $this->mysqli->query($query3);
        if ($statement3->num_rows > 0) {
            while ($row3 = $statement3->fetch_assoc()) {
                $commandMenu = new CommandMenu();
                $commandMenu->setId($row3['IDENTIFIANT_COMMANDE_MENU']);
                $commandMenu->setTitle($row3['TITRE']);
                $commandMenu->setQuantity($row3['QUANTITE']);
                $commandMenu->setComment($row3['COMMENTAIRE']);
                $commandMenu->setTotal($row3['MONTANTTOTAL']);
                $commandMenu->setPrice($row3['PRIX']);
                $commandMenu->setVat($row3['TVA']);
                $commandMenu->setAdditionalCost($row3['MONTANTTOTAL']);
                $commandMenu->setCommand($order);
                $commandMenu->setCode(null);
                $commandMenu->setMenu(null);
                $this->em->persist($commandMenu);
                $metadata = $this->em->getClassMetaData(get_class($commandMenu));
                $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);
                $query4 = "select * from elements_commandes where  IDENTIFIANT_COMMANDE='" . $row['IDENTIFIANT_COMMANDE'] . "'AND IDENTIFIANT_MENU =" . $row3['IDENTIFIANT_COMMANDE_MENU'];
                $statement4 = $this->mysqli->query($query4);
                if ($statement4->num_rows > 0) {
                    while ($row4 = $statement4->fetch_assoc()) {
                        $commandElement = new CommandElement();
                        $commandElement->setId($row4['IDENTIFIANT_ELEMENT_COMMANDE']);
                        $commandElement->setName($row4['NOMELT']);
                        $commandElement->setQuantity($row4['QUANTITE']);
                        $commandElement->setComment($row4['COMMENTAIRE']);
                        $commandElement->setTotal($row4['MONTANTTOTAL']);
                        $commandElement->setPrice($row4['PRIX']);
                        $commandElement->setVat($row4['TVA']);
                        $commandElement->setSize($row4['TAILLE']);
                        $commandElement->setLevel(null);
                        $commandElement->setAdditionalCost($row4['COUTSUPPTYPECMD']);
                        $commandElement->setCommand($order);
                        $commandElement->setCode(null);
                        $this->em->persist($commandElement);
                        $metadata = $this->em->getClassMetaData(get_class($commandElement));
                        $metadata->setIdGenerator(new \Doctrine\ORM\Id\AssignedGenerator());
                        $metadata->setIdGeneratorType(\Doctrine\ORM\Mapping\ClassMetadata::GENERATOR_TYPE_NONE);
                        $query5 = "select * from ingredientspe_commande where IDENTIFIANT_ELEMENT_COMMANDES=" . $row4['IDENTIFIANT_ELEMENT_COMMANDE'];
                        $statement5 = $this->mysqli->query($query5);
                        if ($statement5->num_rows > 0) {
                            while ($row5 = $statement5->fetch_assoc()) {
                                $commandElementIng = new CommandElementIngredients();
                                $commandElementIng->setName($row5['NOM']);
                                $commandElementIng->setCout($row5['COUT']);
                                if ($row5['ACTION'] === 'plus') $commandElementIng->setAction('supp');
                                if ($row5['ACTION'] === 'moins') $commandElementIng->setAction('remove');
                                if ($row5['ACTION'] === 'compris') $commandElementIng->setAction('opt');
                                $commandElementIng->setCommandElement($commandElement);
                                $this->em->persist($commandElementIng);
                            }
                        }
                        $query6 = "select * from commande_modereglement where IDENTIFIANT_COMMANDE=" . $row['IDENTIFIANT_COMMANDE'];
                        $statement6 = $this->mysqli->query($query6);
                        if ($statement6->num_rows > 0) {
                            while ($row6 = $statement6->fetch_assoc()) {
                                $payementMode = $this->em->getRepository('App:PaymentMode')->find($row6['IDENTIFIANT_MODEPAIEMENT']);
                                $commandPaymentMode = new CommandPaymentMode();
                                if ($payementMode) {
                                    $commandPaymentMode->setPaymentMode($payementMode);
                                    $commandPaymentMode->setCommand($order);
                                    $commandPaymentMode->setAmount($row6['IDENTIFIANT_MODEPAIEMENT']);
                                    $this->em->persist($commandPaymentMode);
                                }
                            }
                        }
                    }
                }
            }
        }
        $this->em->persist($order);
        $this->em->flush();
    }

    public function getOrderPdvByPdvAndOrder($idPdv, $idOrder)
    {
        $qb = $this->em->createQueryBuilder();
        $orderTypePdv = $qb->select("otp")
            ->from("App:OrderTypePdv", "otp")
            ->innerJoin('otp.pdv', 'p')
            ->innerJoin('otp.orderType', 'ot')
            ->where('p.id = :pdv')
            ->andWhere('ot.id = :orderT')
            ->setParameter('pdv', $idPdv)
            ->setParameter('orderT', $idOrder)
            ->setMaxResults(1)
            ->getQuery()->getOneOrNullResult();
        return $orderTypePdv;
    }

    private function dec_enc($action, $string)
    {
        $output = false;
        $encrypt_method = "AES-256-CBC";
        $secret_key = 'helpyfood';
        $secret_iv = 'helpyfood';
        $key = hash('sha256', $secret_key);
        $iv = substr(hash('sha256', $secret_iv), 0, 16);
        if ($action == 'encrypt') {
            $output = openssl_encrypt($string, $encrypt_method, $key, 0, $iv);
            $output = base64_encode($output);
        } else if ($action == 'decrypt') {
            $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
        }
        return $output;
    }

}