<?php
namespace App\Controller;
use App\Entity\Status;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\JsonResponse;
use FOS\RestBundle\Controller\Annotations\Route;
use FOS\RestBundle\Controller\Annotations as Rest;

class StatusController extends Controller
{
    /**
     * Lists all Articles.
     * @Rest\Get("/status")
     *
     */
    public function getStatusAction()
    {

        $repository = $this->getDoctrine()->getRepository(Status::class);
        $status = $repository->findall();
        $serializer = $this->get('serializer');
        $data = $serializer->serialize( $this->getUser(), 'json');
        return new JsonResponse(json_decode($data));

    }
}