<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Profil
 *
 * @ORM\Table(name="profil_rights")
 * @ORM\Entity
 */
class ProfilRights
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var boolean
     * @ORM\Column(name="base", type="boolean")
     */
    private $base;

    /**
     * @ORM\ManyToOne(targetEntity="Rights", inversedBy="rights")
     * @ORM\JoinColumn(name="right_id", referencedColumnName="id", nullable=false, onDelete="cascade")
     */
    private $rights;

    /**
     * @ORM\ManyToOne(targetEntity="Profil")
     * @ORM\JoinColumn(name="profil_id", referencedColumnName="id")
     */
    private $profil;
}

