<?php

namespace App\Repository;

class SizeRepository extends \Doctrine\ORM\EntityRepository
{
    public function getListByElement($idElement)
    {
        $em = $this->getEntityManager();;
        $qb = $em->createQueryBuilder();
        $sizes = $qb->select("es.id,s.id as idSize,s.label as size,s.level,es.price,es.available,es.priceSupp")
            ->from("App:ElementSize", "es")
            ->leftJoin('es.size', 's')
            ->innerJoin('es.element', 'e')
            ->where('e.id LIKE :idElement')
            ->setParameter('idElement', $idElement)
            ->getQuery()->getResult();
        return $sizes;
    }
}
